﻿Imports Weather

Module Module1
    Private WithEvents _wR As WeatherDataReader

    Sub Main()
        Dim listForecasts As List(Of WeatherForecast) = Nothing

        _wR = New WeatherDataReader(New Uri("http://www.wetter.de/wettervorhersage/49-7772-22/wetter-germering.html"))

        listForecasts = _wR.GetWeatherForecast()

        For Each f As WeatherForecast In listForecasts
            Console.WriteLine(f.ToDetailString() & vbNewLine)
        Next

        Console.ReadLine()
    End Sub

    Private Sub _wR_DataDownloadComplete(sender As Object, e As Weather.WeatherDataReaderDataDownloadEventArgs) Handles _wR.DataDownloadComplete
        Console.WriteLine("Download done in {0}ms" & vbNewLine, e.DownloadTime.TotalMilliseconds)
    End Sub

    Private Sub _wR_DataParseComplete(sender As Object, e As Weather.WeatherDataReaderParseCompleteEventArgs) Handles _wR.DataParseComplete
        Console.WriteLine("Data parsed in {0}ms" & vbNewLine, e.ParseTime.TotalMilliseconds)
    End Sub

    Private Sub _wR_DataReaderError(sender As Object, e As Weather.WeatherDataReaderErrorEventArgs) Handles _wR.DataReaderError
        Console.WriteLine(e.ErrorMessage & vbNewLine & e.Exception.Message & vbNewLine)
    End Sub
End Module
